$(document).ready(function(){
	Pocket.onReady();
});

function show(isTablet, isNight, isKindleFire, hasHardwareMenu) {
	var deviceViews = $("body");
	deviceViews[(!isTablet  ? "addClass" : "removeClass")]("device_phone" );
	deviceViews[(isTablet ? "addClass" : "removeClass")]("device_tablet");
	deviceViews["removeClass"]("device_web");

	deviceViews["removeClass"]("device_ios");
	deviceViews["addClass"]("device_android");

	deviceViews[(isKindleFire       ? "addClass" : "removeClass")]("device_kindleFire"      );
	deviceViews["addClass"]("device_atLeastHoneycomb"); //  TODO no longer need to make a difference between device_olderThanHoneycomb and device_atLeastHoneycomb. can remove from all html and css.
	deviceViews["removeClass"]("device_olderThanHoneycomb");
	deviceViews[(isNight  ? "addClass" : "removeClass")]("night_mode");
	
	if (hasHardwareMenu) {
		deviceViews["addClass"]("device_hardware_menu");
	} else {
		deviceViews["addClass"]("device_overflow_menu");
	}

	$("#container").removeClass("loading");
	
	$("img").each(function(){
		var $this = $(this);
		var parentWidth = $this.parent().width();
		var imageWidth = $this.width();
		var imageHeight = $this.height();
		var newHeight = parentWidth / (imageWidth / imageHeight);
		$this.css({
			width: parentWidth,
			height: newHeight
		});
	});
	
	$('#container').css("visibility", "visible");
}